#
# spec file for package cabextract (Version 1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           cabextract
URL:            http://www.kyz.uklinux.net/cabextract.php3
License:        GPL
Group:          System/Console
Autoreqprov:    on
Version:        1.1
Release:        16.2
Summary:        A Program to Extract Microsoft Cabinet Files
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Cabinet (.CAB) files are a form of archive, which Microsoft uses to
distribute their software and things like Windows Font Packs.
cabextract can be used to unpack these files.



Authors:
--------
    Stuart Caie <kyzer@4u.net>

%debug_package
%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr --mandir=%{_mandir}
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
/usr/bin/cabextract
%{_mandir}/man1/cabextract.1.gz

%changelog -n cabextract
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 23 2005 - meissner@suse.de
- use RPM_OPT_FLAGS.
* Tue Oct 26 2004 - sndirsch@suse.de
- updated to version 1.1
  * A security vulnerability has been fixed. If the files within a
  cabinet file include "../" in their filenames, this will be
  changed to "xx/", so cabinets cannot access the parent directory
  of where you want to extract them. (Bug #47537)
  * cabextract should now compile cleanly on AIX and Cygwin
* Mon Mar 15 2004 - sndirsch@suse.de
- updated to version 1.0
  Changes since 0.6:
  * The cabextract source has been refactored and rewritten into a
  portable, extensible, robust library called libmspack. Now
  cabextract is just a UNIX-specialised command line application using
  the OS-agnostic libmspack CAB decompressor. Any developers who were
  considering using cabextract in their own software should now look
  at libmspack first.
  * Many bugs in the decompressers were squashed after
  refactoring. More than three gigabytes of real CAB files from the
  wild were used in testing. Corrupt cabinets that crashed cabextract
  0.6 are now correctly reported as corrupt, without crashing.
  * cabextract now alerts you if you try and use it to unpack
  InstallShield cabinet files. This is the number one FAQ saver.
  * cabextract no longer gets "/" and "\" mixed up.
  * cabextract now ignores cabinet files listed on the command line
  that have already been used as part of a multi-part set. You can now
  type cabextract *.cab on a big multi-part set, cabextract will not
  extract all the files several times over.
  * cabextract now lists files with the same filenames it would use if
  it were extracting them. This includes always showing UNIX directory
  separators in the listing.
  * cabextract now correctly lowercases cabinet files with Unicode
  filenames.
  * cabextract has the new --filter, --single and --pipe options.
  * The cabextract package now includes experimental wince_info and
  wince_rename scripts.
  * The definition of Microsoft cabinet files in doc/magic has been
  fixed, and a definition of Windows CE install cabinet header files
  has also been added.
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Mon Jan 27 2003 - sndirsch@suse.de
- created package (revival, Bug #23142)
